de.esprit.common.log

## Class NdfLogFormatter<C extends ApplicationContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.log.LogFormatter
    - - de.esprit.common.log.NdfLogFormatter<C>

- All Implemented Interfaces:
    Dumpable

      public class NdfLogFormatter<C extends ApplicationContext>
      extends LogFormatter

  This class prints the given `LogMessageEvent` in a single line according to the settings of the formatting flags.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NdfLogFormatter()`
    `NdfLogFormatter(C ctx)`
    `NdfLogFormatter(C ctx, boolean isLogTs, boolean isLogger, boolean isLevel, boolean isClass, boolean isStackTr, boolean isThread)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `formatMessage(java.lang.Object caller, LogLevel level, java.lang.String loggerName, java.lang.String message, java.lang.String logTs, java.lang.String thread, java.lang.Throwable error)`

    - ### Methods inherited from class de.esprit.common.log.LogFormatter

      `formatMessage, isPrintClass, isPrintLogger, isPrintLogLevel, isPrintStackTrace, isPrintThread, isPrintTimestamp, setPrintClass, setPrintLogger, setPrintLogLevel, setPrintStackTrace, setPrintThread, setPrintTimestamp, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NdfLogFormatter

          public NdfLogFormatter()

    - #### NdfLogFormatter

          public NdfLogFormatter(C ctx)

    - #### NdfLogFormatter

          public NdfLogFormatter(C ctx,
                         boolean isLogTs,
                         boolean isLogger,
                         boolean isLevel,
                         boolean isClass,
                         boolean isStackTr,
                         boolean isThread)

  - ### Method Detail

    - #### formatMessage

          protected java.lang.String formatMessage(java.lang.Object caller,
                                       LogLevel level,
                                       java.lang.String loggerName,
                                       java.lang.String message,
                                       java.lang.String logTs,
                                       java.lang.String thread,
                                       java.lang.Throwable error)

      Specified by:
        `formatMessage` in class `LogFormatter`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.